org.apache.ode.bpel.engine

## Class ProcessCleanUpRunnable

- java.lang.Object
- - org.apache.ode.bpel.engine.ProcessCleanUpRunnable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Runnable, BpelServerImpl.ContextsAware, Scheduler.MapSerializableRunnable

      public class ProcessCleanUpRunnable
      extends java.lang.Object
      implements Scheduler.MapSerializableRunnable, BpelServerImpl.ContextsAware

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PROCESS_CLEANUP_TRANSACTION_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessCleanUpRunnable()`
    `ProcessCleanUpRunnable(java.io.Serializable pid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `restoreFromDetails(Scheduler.JobDetails details)`
    `void` | `run()`
    `void` | `setContexts(Contexts contexts)`
    `void` | `storeToDetails(Scheduler.JobDetails details)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROCESS_CLEANUP_TRANSACTION_SIZE

          public static final int PROCESS_CLEANUP_TRANSACTION_SIZE

  - ### Constructor Detail

    - #### ProcessCleanUpRunnable

          public ProcessCleanUpRunnable()

    - #### ProcessCleanUpRunnable

          public ProcessCleanUpRunnable(java.io.Serializable pid)

  - ### Method Detail

    - #### storeToDetails

          public void storeToDetails(Scheduler.JobDetails details)

      Specified by:
        `storeToDetails` in interface `Scheduler.MapSerializableRunnable`

    - #### restoreFromDetails

          public void restoreFromDetails(Scheduler.JobDetails details)

      Specified by:
        `restoreFromDetails` in interface `Scheduler.MapSerializableRunnable`

    - #### setContexts

          public void setContexts(Contexts contexts)

      Specified by:
        `setContexts` in interface `BpelServerImpl.ContextsAware`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`